Subject: Re: What's cooking in git.git (Aug 2017, #04; Fri, 18)

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Aug 2017 08:58:16 -0700

Duy Nguyen <[email-masked]> writes:

> On Sat, Aug 19, 2017 at 4:26 AM, Junio C Hamano <[email-masked]> wrote:
>> [Discarded]
>>
>> * nd/prune-in-worktree (2017-04-24) 12 commits
>>  . rev-list: expose and document --single-worktree
>>  . revision.c: --reflog add HEAD reflog from all worktrees
>>  . files-backend: make reflog iterator go through per-worktree reflog
>>  . revision.c: --all adds HEAD from all worktrees
>>  . refs: remove dead for_each_*_submodule()
>>  . revision.c: use refs_for_each*() instead of for_each_*_submodule()
>>  . refs: add refs_head_ref()
>>  . refs: move submodule slash stripping code to get_submodule_ref_store
>>  . refs.c: refactor get_submodule_ref_store(), share common free block
>>  . revision.c: --indexed-objects add objects from all worktrees
>>  . revision.c: refactor add_index_objects_to_pending()
>>  . revision.h: new flag in struct rev_info wrt. worktree-related refs
>>
>>  "git gc" and friends when multiple worktrees are used off of a
>>  single repository did not consider the index and per-worktree refs
>>  of other worktrees as the root for reachability traversal, making
>>  objects that are in use only in other worktrees to be subject to
>>  garbage collection.
>
> I'm back and will try to continue this. Is it discarded because of
> lack of progress, or because the problem is already fixed some other
> way? A quick "git log --oneline" on important files has not revealed
> anything.

Welcome back. 

I ejected it out of 'pu' due to inactivity and possibly because I
saw some conflicts with topics that were making progress back then.
I do not offhand know if the old one still merges cleanly to 'pu',
but it certainly wasn't because the topic was deemed unnecessary.

Thanks.